/*
Copyright (C) 1996-1997 Id Software, Inc.

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.

See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.

*/
// qsg.h
// 2000-04-30 QSG COMMON by Maddes

#define	MAX_QSG_VERSION	0.99

extern cvar_t	qsg_ssvc_version;
extern cvar_t	qsg_csvc_version;
extern cvar_t	qsg_cclc_version;

extern cvar_t	qsg_min_version;

qboolean QSG_RejectClient (void);

void QSG_Init (void);

// 2000-05-02 QSG SVC by Maddes  start
extern msg_lookup_t te_lookup[];
extern msg_lookup_t svc_lookup[];

void QSG_InitSVCMsg(int dest, int svc_message, int sub_message, client_t *client);
void PF_QSG_InitSVCMsg(void);

void QSG_WriteChar (int dest, int c, sizebuf_t *sb);
void QSG_WriteByte (int dest, int c, sizebuf_t *sb);
void QSG_WriteShort (int dest, int c, sizebuf_t *sb);
void QSG_WriteLong (int dest, int c, sizebuf_t *sb);
void QSG_WriteFloat (int dest, float f, sizebuf_t *sb);
void QSG_WriteString (int dest, char *s, sizebuf_t *sb);
void QSG_WriteCoord (int dest, float f, sizebuf_t *sb);
void QSG_WriteAngle (int dest, float f, sizebuf_t *sb);

#define	MSG_BROADCAST	0		// unreliable to all
#define	MSG_ONE			1		// reliable to one (msg_entity)
#define	MSG_ALL			2		// reliable to all
#define	MSG_INIT		3		// write to the init string
// 2000-05-02 QSG SVC by Maddes  end
